#ifndef INDIEPASS_H
#define INDIEPASS_H

extern "C" {
    __declspec(dllexport) bool initSdk(const char* uuid, const char* base64PublicKey, int autoClose);
    __declspec(dllexport) bool unlockAchievement(const char* achievement);
    __declspec(dllexport) bool lockAchievement(const char* achievement);
    __declspec(dllexport) void setSimul(int isSimul);

    // Wrappers GameMaker
    __declspec(dllexport) double initSdkGM(const char* uuid, const char* base64PublicKey, double autoClose);
    __declspec(dllexport) double unlockAchievementGM(const char* achievement);
    __declspec(dllexport) double lockAchievementGM(const char* achievement);
    __declspec(dllexport) double setSimulGM(double isSimul);
}

#endif // INDIEPASS_H
